package cn.feast.coding.mapper.generator;


import cn.feast.coding.model.generator.Table;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface TableMapper {
    Integer save(Table model);

    void update(Table model);

    void deleteById(Integer id);

    int queryByCount(Table model);

    List<Table> queryByList(Map paramsMap);

    List<Table> queryByTable(Table model);

    Table queryById(Integer id);

    List<Table> queryByProject(Integer projectId);

    void deleteProjectRelatedData(Integer projectId);

    int saveByBatch(List<Table> list);
}